from rest_framework.decorators import api_view, permission_classes, authentication_classes
from rest_framework.response import Response

from .settings import SYSTEM3_VERSION


@api_view(['GET'])
@permission_classes([])
@authentication_classes([])
def get_info(request):
    return Response({
        "framework_version": SYSTEM3_VERSION,
        "api_min_version": "1.0",
        "api_max_version": "1.0",
    })
